> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# mailingtype

> Mailing types - Html mail, SMS, Word Document

## "mailingtype" MDO List

Mailing types: Html mail, SMS, Word Document

Implemented by the <see cref="T:SuperOffice.CRM.Lists.MailingTypeProvider">MailingTypeProvider</see> class.
The name of the MDO list is 'mailingtype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/mailingtype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("mailingtype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name     | StyleHint | ExtraInfo |
| -- | -------- | --------- | --------- |
| 1  | E-mail   |           |           |
| 2  | SMS      |           |           |
| 3  | Document |           |           |

## Related MDO Lists

* "mailingtypeheadings"
* "mailingtypeheadingswithallitem"
* "mailingtypeheadingswithallitemwithnoselection"
* "mailingtypeheadingswithnoselection"
* "mailingtypewithallitem"
* "mailingtypewithallitemwithnoselection"
* "mailingtypewithnoselection"


## Related topics

- [What's new in version 11.1.447.0](/release-notes/database/changes-11.1.447.md)
- [What's new in version 11.10.705.0](/release-notes/database/changes-11.10.705.md)
- [What's new in version 11.7.727.0](/release-notes/database/changes-11.7.727.md)
- [What's new in version 11.8.788.0](/release-notes/database/changes-11.8.788.md)
- [What's new in version 11.9.1204.0](/release-notes/database/changes-11.9.1204.md)
- [What's new in version 12.0.342.0](/release-notes/database/changes-12.0.342.md)
